Author Topic: Service Tool software versions backward compatibility  (Read 4148 times)

Offline spittet

  • PLUS+1 Guru
  • *****
  • Posts: 113
  • Karma: +5/-1
Service Tool software versions backward compatibility
« on: November 09, 2016, 02:17:46 PM »
Hi,

In the past 2 years, the ServiceTool software has gone through a lot of revisions (v7.0, 7.1, 8.0, 8.1 and now 9.0). I like to keep myself up to date so I usually download the new version a few weeks after the release even if I do not get full use of the new features.

I recently had a problem when one of my customer asked for a diagnostic file that I edited in v8.1. He was using v7.0 or something like this. He wasn't able to open the file with his 7.0 version and he needed to update his software to 8.1.

This isn't really hard to do for someone like us, programmers. But for a mechanic in the field with hard to reach internet access, this can be a pain.

What could I do to improve this behavior? Could it be possible to save a diagnostic file for an older ServiceTool version? Is asking to download the newest ServiceTool version for my customers the only way to do it?

Let me know what are your thoughts about it and how do you manage it.

Sam

Offline Nilla

  • PLUS+1 Guru
  • *****
  • Posts: 253
  • Karma: +13/-0
Re: Service Tool software versions backward compatibility
« Reply #1 on: November 11, 2016, 09:04:00 AM »
Hi Spittet!

We are of course aiming towards being as backwards compatible as possible but sometimes when we add new functionality it is not possible. This was the case when we added multi lingual Service Tool Application Files (P1D) in 7.2.9 (September 2015). From those release notes;

"
[F00237] Feature: Multi Lingual Service Tool Application Files (P1D)
- It is now possible to create multilingual P1D files.
- Add languages and edit translations in Design View, select P1D language in the toolbar in
Normal View.
- The Advanced Page auto resize functionality now considers the text length for all available
languages.
- It is possible to search for clipped texts in service pages.
Note: The P1D/P1H file format has been updated. Therefore P1D/P1H files created with Service
Tool version 7.2 cannot be opened with earlier version of PLUS+1 GUIDE Service Tool.
  "

In the same version there was also released a feature extension that gives you the possibility to set minimum and/or maximum version in the Service Tool application;

"
[F00309] Feature Extension: Service Tool version and protocol data properties in P1D files
- Minimum and/or maximum Service Tool version and overriding protocol settings can now be selected in Service Application Properties available from the Design menu.   "

By using this feature, the creator of the .P1D has full control when they want to allow newer (or older) version of the Service Tool to function together with their P1D. And it will be the release of the P1D that controls the behavior not vice versa. See attached pictures on how to find the Service Application Properties in Service tool.

I hope this helps!

Best regards
Nilla
PLUS+1 Helpdesk team

Offline spittet

  • PLUS+1 Guru
  • *****
  • Posts: 113
  • Karma: +5/-1
Re: Service Tool software versions backward compatibility
« Reply #2 on: November 11, 2016, 03:21:54 PM »
Hi,

This feature is really nice and I'm gonna use it.

Thanks for pointing it out.

Sam